Package Details: pd-l2ork-git r1716.a1424f0-2

Git Clone URL: https://aur.archlinux.org/pd-l2ork-git.git (read-only)
Package Base: pd-l2ork-git
Description: L2Ork (Linux Laptop Orchestra) version of PureData (git version)
Upstream URL: http://l2ork.music.vt.edu/main/?page_id=56
Licenses: BSD
Conflicts: pd-l2ork
Provides: pd-l2ork
Submitter: aggraef
Maintainer: aggraef
Last Packager: aggraef
Votes: 0
Popularity: 0.000000
First Submitted: 2016-06-15 21:34
Last Updated: 2016-07-04 10:51

Dependencies (44)

Required by (5)

Sources (3)

Latest Comments

hk4adj commented on 2017-01-29 01:57

Great advice aggraef!
I got the files from the bitbucket repo you suggested and got both purr and xapian-tcl-bindings working perfectly. Tx!

aggraef commented on 2017-01-27 22:09

As a quick heads up for all pd-l2ork users, there's also a new kid on the block, Jonathan Wilkes' "Purr Data" which is a brand-new cross-platform version of pd-l2ork which replaces pd-l2ork's aging (and Linux-only) Tcl/Tk-based GUI with JavaScript (nodejs/webkit). This is slated to become the next major pd-l2ork version. It is not quite as stable yet as mainline pd-l2ork, but has been coming along nicely and is ready for day-to-day use already. In any case, it is where all current pd-l2ork-related development takes place.

You can find this as the purr-data package in the AUR, see https://aur.archlinux.org/packages/purr-data/ or https://aur.archlinux.org/packages/purr-data-git/ for the git version. pd-l2ork and purr-data can also be installed alongside each other and be run at the same time.

aggraef commented on 2017-01-27 21:55

Updated xapian-tcl-bindings to 1.4.2, so everything should be ok again. Just remember that you'll have to install flite1 in the way I've described to make it work. The binary repo at https://l2orkaur.bitbucket.io/ has been updated, too.

aggraef commented on 2017-01-27 21:19

@hk4adj, concerning the issue with flite1, that seems to be the same that kalimerox reported on https://aur.archlinux.org/packages/pd-l2ork/. As I wrote there, it's a common problem of all the flite packages in the AUR, and nobody seems to know how to fix it. If you download the package with `yaourt -G flite1` and run `cd flite1` and then `makepkg -i`, it should build and install all right.

Concerning the problem with xapian-tcl-bindings, you're right, the current xapian version is 1.4.2, xapian-tcl-bindings needs to be updated to the version at https://oligarchy.co.uk/xapian/1.4.2/ to match that. I've flagged that package out of date and will update it as soon as I can.

If you don't mind installing binaries from a 3rd party repo, you can also just use the binary packages at https://l2orkaur.bitbucket.io/, that will save you a lot of trouble and time.

aggraef commented on 2016-06-15 21:37

This always builds the latest git revision of pd-l2ork. Note that this may be broken at times due to intermittent upstream changes. For the latest *stable* release please use the pd-l2ork package at: https://aur.archlinux.org/packages/pd-l2ork/